#
# spec file for package birdfont
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
# 
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#

# Submit bugfixes or comments via http://birdfont.org/
#
# Author: Johan Mattsson
#

# See also http://en.opensuse.org/openSUSE:Shared_library_packaging_policy

Name:           birdfont
Version:        2.19.4
Release:        1%{?dist}
Summary:        Font editor
License:        GPLv3+
Group:          Multimedia/Graphics/Vector Editors 
URL:            http://birdfont.org/
Source0:        http://birdfont.org/releases/%{name}-%{version}.tar.xz

%define webkitgtk %{nil}
%define webkitgtk 4
%if 0%{?rhel}%{?fedora}
  %if 0%{?rhel}
    %if 0%{?rhel} < 7
      %define webkitgtk 3
    %endif
  %endif
%endif

# EL or Fedora
%if 0%{?rhel}%{?fedora}

%ifarch x86_64
Provides:       libbirdgems.so.0.0()(64bit), libbirdfont.so.36.0()(64bit)
%else
Provides:       libbirdgems.so.0.0, libbirdfont.so.36.0
%endif

BuildRequires:  glib2-devel
BuildRequires:  gtk3-devel
#BuildRequires:  python3
BuildRequires:  vala
#BuildRequires:  pkgconfig(webkit2gtk-4.0)
BuildRequires:  libgee-devel
BuildRequires:  gdk-pixbuf2-devel
BuildRequires:  libnotify-devel
BuildRequires:  sqlite-devel
#BuildRequires:  libxmlbird-devel
BuildRequires:  libxml2-devel

BuildRequires:  gettext

BuildRequires:  libxmlbird-devel
BuildRequires:  libxmlbird

#BuildRequires:  libwebkit2gtk
%if 0%{?webkitgtk} == 1
BuildRequires:  webkitgtk-devel
BuildRequires:  pkgconfig(webkit2gtk-1.0)
%endif
%if 0%{?webkitgtk} == 3
BuildRequires:  webkitgtk3-devel
BuildRequires:  pkgconfig(webkit2gtk-3.0)
%endif
%if 0%{?webkitgtk} == 4
BuildRequires:  webkitgtk4-devel
BuildRequires:  pkgconfig(webkit2gtk-4.0)
%endif

Requires:       glib2
Requires:       gtk3
Requires:       vala
Requires:       libgee
Requires:       gdk-pixbuf2
Requires:       libnotify
Requires:       sqlite
Requires:       unicode-ucd
#Requires:       unicode-ucd-unihan

Requires:       libxmlbird

#Requires:       libwebkit2gtk
%if 0%{?webkitgtk} == 1
Requires:       webkitgtk
Requires:       pkgconfig(webkit2gtk-1.0)
%endif
%if 0%{?webkitgtk} == 3
Requires:       webkitgtk3
Requires:       pkgconfig(webkit2gtk-3.0)
%endif
%if 0%{?webkitgtk} == 4
Requires:       webkitgtk4
Requires:       pkgconfig(webkit2gtk-4.0)
%endif

# EL
%if 0%{?rhel}

BuildRequires:  python34
Requires:       python34

# Fedora
%else

BuildRequires:  python3
Requires:       python3

%endif

# SUSE
%else

BuildRequires:  glib2-devel
BuildRequires:  gtk3-devel
BuildRequires:  python3
BuildRequires:  vala
BuildRequires:  webkit2gtk3-devel
BuildRequires:  libgee-devel
BuildRequires:  gdk-pixbuf-devel
BuildRequires:  typelib-1_0-Gee-1_0
BuildRequires:  libnotify-devel
BuildRequires:  sqlite-devel
BuildRequires:  libxmlbird-devel

%endif

%description
Font editor

%prep
%setup -q


%if 0%{?webkitgtk}
%if 0%{?webkitgtk} != 4
sed -i -re "s/('webkit2gtk-)4(\.0')/\1%{webkitgtk}\2/" configure
sed -i -re "s/(webkit2gtk-)4(\.0)/\1%{webkitgtk}\2/" dodo.py
%endif
%endif

%build
python3 ./configure --prefix=/usr
python3 ./build.py

%install
python3 ./install.py -d%{?buildroot} -l/%{_lib} -n/share/man/man1 --apport=False
chmod +x %{?buildroot}%{_libdir}/libbirdfont.so.*
chmod +x %{?buildroot}%{_bindir}/birdfont*

%post
/sbin/ldconfig
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files

%if 0%{?suse_version}
%dir %{_datadir}/appdata
%endif

%{_libdir}/libbirdfont.so
%{_libdir}/libbirdfont.so.36
%{_libdir}/libbirdfont.so.36.0
%{_libdir}/libbirdgems.so
%{_libdir}/libbirdgems.so.0
%{_libdir}/libbirdgems.so.0.0
%{_bindir}/birdfont
%{_bindir}/birdfont-autotrace
%{_bindir}/birdfont-export
%{_bindir}/birdfont-import
%{_datadir}/applications/birdfont.desktop
%{_datadir}/birdfont/
%{_datadir}/locale/
%{_datadir}/appdata/birdfont.appdata.xml
%{_mandir}/man1/birdfont.1.gz
%{_mandir}/man1/birdfont-autotrace.1.gz
%{_mandir}/man1/birdfont-export.1.gz
%{_mandir}/man1/birdfont-import.1.gz
%{_datadir}/icons/hicolor/256x256/apps/birdfont.png
%{_datadir}/icons/hicolor/128x128/apps/birdfont.png
%{_datadir}/icons/hicolor/48x48/apps/birdfont.png
%{_datadir}/mime/packages/birdfont.xml

%changelog
* Tue Oct 17 2017 Tomasz Tomasik <scx.mail@gmail.com> - 2.19.4-1
- Update to version 2.19.4
* Thu Sep 28 2017 Tomasz Tomasik <scx.mail@gmail.com> - 2.18.3-3
- Added gettext to BuildRequires
* Wed Sep 20 2017 Tomasz Tomasik <scx.mail@gmail.com> - 2.18.3-2
- Fixed requirements
- Rebuilt for EL7 against webkitgtk4
* Sat Feb 18 2017 Tomasz Tomasik <scx.mail@gmail.com> - 2.18.3-1
- Fixed requirements
- Added support for EL7
- Built for EL7 against webkitgtk3
* Sat Dec 19 2015 Johan Mattsson <johan.mattsson.m@gmail.com> - 2.16.12-1.1
- New upstream release
* Sat Nov 28 2015 Johan Mattsson <johan.mattsson.m@gmail.com>
- New upstream release
* Wed Oct 28 2015 Johan Mattsson <johan.mattsson.m@gmail.com>
- New upstream release
* Wed Sep 23 2015 Johan Mattsson <johan.mattsson.m@gmail.com>
- New upstream release
* Wed Aug 19 2015 Johan Mattsson <johan.mattsson.m@gmail.com>
- New upstream release
* Wed Aug 19 2015 Johan Mattsson <johan.mattsson.m@gmail.com>
- New upstream release
* Tue Aug 18 2015 Johan Mattsson <johan.mattsson.m@gmail.com>
- New upstream release
* Sun Aug  9 2015 Johan Mattsson <johan.mattsson.m@gmail.com>
- New upstream release
* Fri Jun 26 2015 Johan Mattsson <johan.mattsson.m@gmail.com>
- New upstream release
* Fri Jun 26 2015 Johan Mattsson <johan.mattsson.m@gmail.com>
- New upstream release
* Sun Jun 21 2015 Johan Mattsson <johan.mattsson.m@gmail.com>
- New upstream release
* Sat Jun  6 2015 Johan Mattsson <johan.mattsson.m@gmail.com>
- New upstream release
* Tue May 19 2015 Johan Mattsson <johan.mattsson.m@gmail.com>
- New upstream release
* Wed May 13 2015 Johan Mattsson <johan.mattsson.m@gmail.com>
- New upstream release
* Sat Apr 25 2015 Johan Mattsson <johan.mattsson.m@gmail.com>
- New upstream release
* Fri Apr 24 2015 Johan Mattsson <johan.mattsson.m@gmail.com>
- New upstream release
* Tue Apr 14 2015 Johan Mattsson <johan.mattsson.m@gmail.com>
- New upstream release
* Tue Mar 31 2015 Johan Mattsson <johan.mattsson.m@gmail.com>
- New upstream release
* Sat Mar 28 2015 Johan Mattsson <johan.mattsson.m@gmail.com>
- New upstream release
* Wed Mar 25 2015 Johan Mattsson <johan.mattsson.m@gmail.com>
- New upstream release
* Sat Mar 21 2015 Johan Mattsson <johan.mattsson.m@gmail.com>
- New upstream release
* Wed Mar 18 2015 Johan Mattsson <johan.mattsson.m@gmail.com>
- New upstream release
* Mon Mar  9 2015 Johan Mattsson <johan.mattsson.m@gmail.com>
- New upstream release
* Sun Mar  8 2015 Johan Mattsson <johan.mattsson.m@gmail.com>
- New upstream release
* Thu Nov  6 2014 Johan Mattsson <johan.mattsson.m@gmail.com>
- New upstream release
* Wed Oct 22 2014 Johan Mattsson <johan.mattsson.m@gmail.com>
- Fix libbirdxml dependecy on Fedora
* Mon Oct 13 2014 Johan Mattsson <johan.mattsson.m@gmail.com>
- Fix build errors on OpenSuSE 12
* Fri Oct 10 2014 Johan Mattsson <johan.mattsson.m@gmail.com>
- New upstream release
* Sun Oct  5 2014 Johan Mattsson <johan.mattsson.m@gmail.com>
- New upstream release
* Sun Sep 28 2014 Johan Mattsson <johan.mattsson.m@gmail.com>
- New upstream release
* Sun Sep 21 2014 Johan Mattsson <johan.mattsson.m@gmail.com>
- New upstream release
* Sat Sep 13 2014 Johan Mattsson <johan.mattsson.m@gmail.com>
- New upstream release
* Sat Sep 13 2014 Johan Mattsson <johan.mattsson.m@gmail.com>
- New upstream release
* Sun Sep  7 2014 Johan Mattsson <johan.mattsson.m@gmail.com>
- New upstream release
* Thu Sep  4 2014 Johan Mattsson <johan.mattsson.m@gmail.com>
- New upstream release
* Sun Aug 17 2014 Johan Mattsson <johan.mattsson.m@gmail.com>
- New upstream release
* Fri Aug 15 2014 Johan Mattsson <johan.mattsson.m@gmail.com>
- New upstream release
* Thu Aug  7 2014 Johan Mattsson <johan.mattsson.m@gmail.com>
- New upstream release
* Thu Jul 31 2014 Johan Mattsson <johan.mattsson.m@gmail.com>
- birdfont (0.43) stable;
  * New upstream release and fixes to make BirdFont run on Fedora 20
* Mon Jul  7 2014 Tuukka Pasanen <tuukka.pasanen@ilmi.fi>
- birdfont (0.41) stable;
  * New upstream release
